petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscMalloc2

Allocates 2 arrays of memory both aligned to PETSC_MEMALIGN

### Synopsis

    #include <petscsys.h>
    PetscErrorCode PetscMalloc2(size_t m1,type **r1,size_t m2,type **r2)

Not Collective

### Input Parameter

| m1 | - number of elements to allocate in 1st chunk (may be zero)
| m2 | - number of elements to allocate in 2nd chunk (may be zero)

### Output Parameter

| r1 | - memory allocated in first chunk
| r2 | - memory allocated in second chunk

### See Also

PetscFree(), PetscNew(), PetscMalloc(), PetscMalloc1(), PetscCalloc2()

### Level

developer

### Location

include/petscsys.h

### Examples

src/vec/is/sf/examples/tutorials/ex1.c.html
src/mat/examples/tutorials/ex4.c.html
src/mat/examples/tutorials/ex17.c.html
src/snes/examples/tutorials/ex12.c.html
src/ts/examples/tutorials/ex11.c.html
src/ts/examples/tutorials/ex14.c.html
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages